<template>
  <v-container>

   
    <h2 class="secondary--text" align="center">
       Proves completades: {{completed.length}}
    </h2>

  <v-divider class="mt-2"></v-divider>

    <h4 class="mr-4 mt-3 secondary--text" align="right">
       Puntuació obtinguda:  {{score}} punts
    </h4>

  <div v-if="completed.length != 0">
    <v-row class="mt-2">
          <v-col cols="12" xs="12" sm="12" md="12" lg="12" xl="12" v-for="prove in completed" :key="prove.id">
            <v-card elevation="24" dark :to="{
                name:'category-prove',
                params:{category:prove.category.slug, prove:prove.id}
                }">
                <v-card-text  class="secondary--text">
                    <v-row>
                        <v-col cols="10" class="d-flex">
                            <v-avatar><img :src="prove.img" ></v-avatar>
                            <h4 class="white--text px-3 mt-2">{{prove.order}}-{{prove.name}}</h4>
                        </v-col>
                        <v-col cols="2" class="d-flex justify-end">
                              <h5 class="green--text mt-2">{{prove.points}} p </h5>
                        </v-col>
                    </v-row>
                    <!-- <v-row class="mt-0" v-if="prove.pointsextra != 0">
                      <v-col class="mt-0 d-flex justify-end">
                              <h4 class="green--text mt-2">+ {{prove.pointsextra}} extra </h4>
                      </v-col>
                    </v-row> -->
                </v-card-text>
            </v-card>
          </v-col>
        </v-row>
      </div>

  
    <div v-if="completed.length == 0">
      <v-alert type="info" color="green">
        <p>Encara no heu completat cap prova. Ànims!</p>
      </v-alert>
    </div>

    <div class="mt-3" align="left">
      <app-ui-back-btn></app-ui-back-btn>
    </div>
   
  </v-container>


  
</template>




<script>
export default {
  middleware: "auth",
  // async asyncData({ app, store}) {
  //   let client = app.apolloProvider.defaultClient;
  //   let id = app.$auth.user.id;
  //   let query = {
  //     context: {
  //       headers: {
  //         authorization: app.$auth.strategy.token.get(),
  //       },
  //     },
  //     query: require("../../graphql/userCompleted.gql"),
  //     fetchPolicy: "no-cache",
  //     variables: {id},
  //   };
  //   let completed = null;
  //   await client
  //     .query(query)
  //     .then((data) => {
  //       completed = data.data.user.completed
  //       store.commit("user/setCompleted", completed)
  //     })
  //     .catch((e) => console.log(e));
    
  //   completed.sort(function (a, b){
  //       return (a.points - b.points)})
  //   return { completed };
  // },

  computed:{
    completed(){
      let completed = this.$store.getters['user/completed']
      completed.sort(function (a, b){
          return (a.order - b.order)})
      return completed
    },
    score(){
      const sumall = this.completed.map(item => item.points).reduce((prev, curr) => prev + curr, 0);
      return sumall
    }
  },
  async mounted(){
      await this.$store.dispatch("user/getCompleted")
  }

};
</script>

<style scoped>

.container {
  background-image: url("https://i.ibb.co/5MTKvcz/Fons-Sense-Muntanya.png");
  background-size: cover;
  background-position: center;
  height: 100%;
}

  
</style>